import code from '../code.json'

export default {
	base_white: code.white,
	base_black: code.black,
	base_light: code.white,
	base_ink: code.gray_900,
	base_pencil_light: code.gray_700,
	base_pencil_ink: code.gray_400,

	gray_25: code.gray_900,
	gray_50: code.gray_800,
	gray_100: code.gray_700,
	gray_200: code.gray_600,
	gray_300: code.gray_500,
	gray_400: code.gray_400,
	gray_500: code.gray_300,
	gray_600: code.gray_200,
	gray_700: code.gray_100,
	gray_800: code.gray_50,
	gray_900: code.gray_25,

	primary_25: code.primary_900,
	primary_50: code.primary_800,
	primary_100: code.primary_700,
	primary_200: code.primary_600,
	primary_300: code.primary_500,
	primary_400: code.primary_400,
	primary_500: code.primary_300,
	primary_600: code.primary_200,
	primary_700: code.primary_100,
	primary_800: code.primary_50,
	primary_900: code.primary_25,

	error_25: code.error_900,
	error_50: code.error_800,
	error_100: code.error_700,
	error_200: code.error_600,
	error_300: code.error_500,
	error_400: code.error_400,
	error_500: code.error_300,
	error_600: code.error_200,
	error_700: code.error_100,
	error_800: code.error_50,
	error_900: code.error_25,

	warning_25: code.warning_900,
	warning_50: code.warning_800,
	warning_100: code.warning_700,
	warning_200: code.warning_600,
	warning_300: code.warning_500,
	warning_400: code.warning_400,
	warning_500: code.warning_300,
	warning_600: code.warning_200,
	warning_700: code.warning_100,
	warning_800: code.warning_50,
	warning_900: code.warning_25,

	success_25: code.success_900,
	success_50: code.success_800,
	success_100: code.success_700,
	success_200: code.success_600,
	success_300: code.success_500,
	success_400: code.success_400,
	success_500: code.success_300,
	success_600: code.success_200,
	success_700: code.success_100,
	success_800: code.success_50,
	success_900: code.success_25,

	ocean_25: code.ocean_900,
	ocean_50: code.ocean_800,
	ocean_100: code.ocean_700,
	ocean_200: code.ocean_600,
	ocean_300: code.ocean_500,
	ocean_400: code.ocean_400,
	ocean_500: code.ocean_300,
	ocean_600: code.ocean_200,
	ocean_700: code.ocean_100,
	ocean_800: code.ocean_50,
	ocean_900: code.ocean_25,

	yellow_25: code.yellow_900,
	yellow_50: code.yellow_800,
	yellow_100: code.yellow_700,
	yellow_200: code.yellow_600,
	yellow_300: code.yellow_500,
	yellow_400: code.yellow_400,
	yellow_500: code.yellow_300,
	yellow_600: code.yellow_200,
	yellow_700: code.yellow_100,
	yellow_800: code.yellow_50,
	yellow_900: code.yellow_25,
} as const

