var white = "#ffffff";
var black = "#000000";
var gray_25 = "#fcfcfd";
var gray_50 = "#f9fafb";
var gray_100 = "#f2f4f7";
var gray_200 = "#eaecf0";
var gray_300 = "#d0d5dd";
var gray_400 = "#98a2b3";
var gray_500 = "#667085";
var gray_600 = "#475467";
var gray_700 = "#344054";
var gray_800 = "#1d2939";
var gray_900 = "#101828";
var primary_25 = "#faf6ff";
var primary_50 = "#ede3f7";
var primary_100 = "#dfd1f0";
var primary_200 = "#c9b3e3";
var primary_300 = "#aa80ca";
var primary_400 = "#925ab2";
var primary_500 = "#7c3e99";
var primary_600 = "#662b81";
var primary_700 = "#692170";
var primary_800 = "#5e1b55";
var primary_900 = "#4d153a";
var error_25 = "#fffbfa";
var error_50 = "#fef3f2";
var error_100 = "#fee4e2";
var error_200 = "#fecdca";
var error_300 = "#fda29b";
var error_400 = "#f97066";
var error_500 = "#f04438";
var error_600 = "#d92d20";
var error_700 = "#b42318";
var error_800 = "#912018";
var error_900 = "#7a271a";
var warning_25 = "#fffcf5";
var warning_50 = "#fffaeb";
var warning_100 = "#fef0c7";
var warning_200 = "#fedf89";
var warning_300 = "#fec84b";
var warning_400 = "#fdb022";
var warning_500 = "#f79009";
var warning_600 = "#dc6803";
var warning_700 = "#b54708";
var warning_800 = "#93370d";
var warning_900 = "#7a2e0e";
var success_25 = "#f6fef9";
var success_50 = "#ecfdf3";
var success_100 = "#d1fadf";
var success_200 = "#a6f4c5";
var success_300 = "#6ce9a6";
var success_400 = "#32d583";
var success_500 = "#12b76a";
var success_600 = "#039855";
var success_700 = "#027a48";
var success_800 = "#05603a";
var success_900 = "#054f31";
var ocean_25 = "#f6fdff";
var ocean_50 = "#d2f9ff";
var ocean_100 = "#adf6ff";
var ocean_200 = "#85eff9";
var ocean_300 = "#57dce9";
var ocean_400 = "#2ac6d8";
var ocean_500 = "#00abc7";
var ocean_600 = "#157ea8";
var ocean_700 = "#20588a";
var ocean_800 = "#243c6b";
var ocean_900 = "#21294d";
var yellow_25 = "#fffae6";
var yellow_50 = "#fff8d6";
var yellow_100 = "#ffefb8";
var yellow_200 = "#ffd886";
var yellow_300 = "#fcc45a";
var yellow_400 = "#f4b335";
var yellow_500 = "#d8a02a";
var yellow_600 = "#bc8f23";
var yellow_700 = "#a07e1f";
var yellow_800 = "#846c1c";
var yellow_900 = "#685919";
var code = {
	white: white,
	black: black,
	gray_25: gray_25,
	gray_50: gray_50,
	gray_100: gray_100,
	gray_200: gray_200,
	gray_300: gray_300,
	gray_400: gray_400,
	gray_500: gray_500,
	gray_600: gray_600,
	gray_700: gray_700,
	gray_800: gray_800,
	gray_900: gray_900,
	primary_25: primary_25,
	primary_50: primary_50,
	primary_100: primary_100,
	primary_200: primary_200,
	primary_300: primary_300,
	primary_400: primary_400,
	primary_500: primary_500,
	primary_600: primary_600,
	primary_700: primary_700,
	primary_800: primary_800,
	primary_900: primary_900,
	error_25: error_25,
	error_50: error_50,
	error_100: error_100,
	error_200: error_200,
	error_300: error_300,
	error_400: error_400,
	error_500: error_500,
	error_600: error_600,
	error_700: error_700,
	error_800: error_800,
	error_900: error_900,
	warning_25: warning_25,
	warning_50: warning_50,
	warning_100: warning_100,
	warning_200: warning_200,
	warning_300: warning_300,
	warning_400: warning_400,
	warning_500: warning_500,
	warning_600: warning_600,
	warning_700: warning_700,
	warning_800: warning_800,
	warning_900: warning_900,
	success_25: success_25,
	success_50: success_50,
	success_100: success_100,
	success_200: success_200,
	success_300: success_300,
	success_400: success_400,
	success_500: success_500,
	success_600: success_600,
	success_700: success_700,
	success_800: success_800,
	success_900: success_900,
	ocean_25: ocean_25,
	ocean_50: ocean_50,
	ocean_100: ocean_100,
	ocean_200: ocean_200,
	ocean_300: ocean_300,
	ocean_400: ocean_400,
	ocean_500: ocean_500,
	ocean_600: ocean_600,
	ocean_700: ocean_700,
	ocean_800: ocean_800,
	ocean_900: ocean_900,
	yellow_25: yellow_25,
	yellow_50: yellow_50,
	yellow_100: yellow_100,
	yellow_200: yellow_200,
	yellow_300: yellow_300,
	yellow_400: yellow_400,
	yellow_500: yellow_500,
	yellow_600: yellow_600,
	yellow_700: yellow_700,
	yellow_800: yellow_800,
	yellow_900: yellow_900
};

declare const _default$1: {
    readonly base_white: string;
    readonly base_black: string;
    readonly base_light: string;
    readonly base_ink: string;
    readonly base_pencil_light: string;
    readonly base_pencil_ink: string;
    readonly gray_25: string;
    readonly gray_50: string;
    readonly gray_100: string;
    readonly gray_200: string;
    readonly gray_300: string;
    readonly gray_400: string;
    readonly gray_500: string;
    readonly gray_600: string;
    readonly gray_700: string;
    readonly gray_800: string;
    readonly gray_900: string;
    readonly primary_25: string;
    readonly primary_50: string;
    readonly primary_100: string;
    readonly primary_200: string;
    readonly primary_300: string;
    readonly primary_400: string;
    readonly primary_500: string;
    readonly primary_600: string;
    readonly primary_700: string;
    readonly primary_800: string;
    readonly primary_900: string;
    readonly error_25: string;
    readonly error_50: string;
    readonly error_100: string;
    readonly error_200: string;
    readonly error_300: string;
    readonly error_400: string;
    readonly error_500: string;
    readonly error_600: string;
    readonly error_700: string;
    readonly error_800: string;
    readonly error_900: string;
    readonly warning_25: string;
    readonly warning_50: string;
    readonly warning_100: string;
    readonly warning_200: string;
    readonly warning_300: string;
    readonly warning_400: string;
    readonly warning_500: string;
    readonly warning_600: string;
    readonly warning_700: string;
    readonly warning_800: string;
    readonly warning_900: string;
    readonly success_25: string;
    readonly success_50: string;
    readonly success_100: string;
    readonly success_200: string;
    readonly success_300: string;
    readonly success_400: string;
    readonly success_500: string;
    readonly success_600: string;
    readonly success_700: string;
    readonly success_800: string;
    readonly success_900: string;
    readonly ocean_25: string;
    readonly ocean_50: string;
    readonly ocean_100: string;
    readonly ocean_200: string;
    readonly ocean_300: string;
    readonly ocean_400: string;
    readonly ocean_500: string;
    readonly ocean_600: string;
    readonly ocean_700: string;
    readonly ocean_800: string;
    readonly ocean_900: string;
    readonly yellow_25: string;
    readonly yellow_50: string;
    readonly yellow_100: string;
    readonly yellow_200: string;
    readonly yellow_300: string;
    readonly yellow_400: string;
    readonly yellow_500: string;
    readonly yellow_600: string;
    readonly yellow_700: string;
    readonly yellow_800: string;
    readonly yellow_900: string;
};

declare const _default: {
    readonly base_white: string;
    readonly base_black: string;
    readonly base_light: string;
    readonly base_ink: string;
    readonly base_pencil_light: string;
    readonly base_pencil_ink: string;
    readonly white: string;
    readonly black: string;
    readonly gray_25: string;
    readonly gray_50: string;
    readonly gray_100: string;
    readonly gray_200: string;
    readonly gray_300: string;
    readonly gray_400: string;
    readonly gray_500: string;
    readonly gray_600: string;
    readonly gray_700: string;
    readonly gray_800: string;
    readonly gray_900: string;
    readonly primary_25: string;
    readonly primary_50: string;
    readonly primary_100: string;
    readonly primary_200: string;
    readonly primary_300: string;
    readonly primary_400: string;
    readonly primary_500: string;
    readonly primary_600: string;
    readonly primary_700: string;
    readonly primary_800: string;
    readonly primary_900: string;
    readonly error_25: string;
    readonly error_50: string;
    readonly error_100: string;
    readonly error_200: string;
    readonly error_300: string;
    readonly error_400: string;
    readonly error_500: string;
    readonly error_600: string;
    readonly error_700: string;
    readonly error_800: string;
    readonly error_900: string;
    readonly warning_25: string;
    readonly warning_50: string;
    readonly warning_100: string;
    readonly warning_200: string;
    readonly warning_300: string;
    readonly warning_400: string;
    readonly warning_500: string;
    readonly warning_600: string;
    readonly warning_700: string;
    readonly warning_800: string;
    readonly warning_900: string;
    readonly success_25: string;
    readonly success_50: string;
    readonly success_100: string;
    readonly success_200: string;
    readonly success_300: string;
    readonly success_400: string;
    readonly success_500: string;
    readonly success_600: string;
    readonly success_700: string;
    readonly success_800: string;
    readonly success_900: string;
    readonly ocean_25: string;
    readonly ocean_50: string;
    readonly ocean_100: string;
    readonly ocean_200: string;
    readonly ocean_300: string;
    readonly ocean_400: string;
    readonly ocean_500: string;
    readonly ocean_600: string;
    readonly ocean_700: string;
    readonly ocean_800: string;
    readonly ocean_900: string;
    readonly yellow_25: string;
    readonly yellow_50: string;
    readonly yellow_100: string;
    readonly yellow_200: string;
    readonly yellow_300: string;
    readonly yellow_400: string;
    readonly yellow_500: string;
    readonly yellow_600: string;
    readonly yellow_700: string;
    readonly yellow_800: string;
    readonly yellow_900: string;
};

declare namespace index$1 {
  export { _default$1 as Dark, _default as Light };
}

declare namespace index {
  export { code as Code, index$1 as Utilities };
}

var none = 0;
var xs = 2;
var xs2 = 4;
var xs3 = 6;
var sm = 8;
var md = 10;
var lg = 12;
var lg2 = 14;
var xl = 16;
var xl2 = 20;
var xl3 = 24;
var xl4 = 32;
var xl5 = 40;
var spacing = {
	none: none,
	xs: xs,
	xs2: xs2,
	xs3: xs3,
	sm: sm,
	md: md,
	lg: lg,
	lg2: lg2,
	xl: xl,
	xl2: xl2,
	xl3: xl3,
	xl4: xl4,
	xl5: xl5
};

var text_xs = {
	font_size: 10,
	line_height: 12,
	letter_spacing: 0
};
var text_xs2 = {
	font_size: 12,
	line_height: 16,
	letter_spacing: 0
};
var text_sm = {
	font_size: 14,
	line_height: 20,
	letter_spacing: 0
};
var text_md = {
	font_size: 16,
	line_height: 24,
	letter_spacing: 0
};
var text_lg = {
	font_size: 18,
	line_height: 28,
	letter_spacing: 0
};
var text_xl = {
	font_size: 20,
	line_height: 30,
	letter_spacing: 0
};
var display_xs = {
	font_size: 24,
	line_height: 32,
	letter_spacing: 0
};
var display_sm = {
	font_size: 30,
	line_height: 38,
	letter_spacing: 0
};
var display_md = {
	font_size: 36,
	line_height: 44,
	letter_spacing: -0.72
};
var display_lg = {
	font_size: 48,
	line_height: 60,
	letter_spacing: -0.96
};
var display_xl = {
	font_size: 60,
	line_height: 72,
	letter_spacing: -1.2
};
var display_xl2 = {
	font_size: 72,
	line_height: 90,
	letter_spacing: -1.44
};
var typography = {
	text_xs: text_xs,
	text_xs2: text_xs2,
	text_sm: text_sm,
	text_md: text_md,
	text_lg: text_lg,
	text_xl: text_xl,
	display_xs: display_xs,
	display_sm: display_sm,
	display_md: display_md,
	display_lg: display_lg,
	display_xl: display_xl,
	display_xl2: display_xl2
};

export { index as Color, spacing as Spacing, typography as Typography };
